Field Value Queries(3)

NAME
Field Value Queries -

  Functions

nvmlReturn_t DECLDIR nvmlDeviceGetFieldValues (nvmlDevice_t device, int valuesCount, nvmlFieldValue_t *values)

Detailed Description

This chapter describes NVML operations that are associated with retrieving Field Values from NVML

Function Documentation

  nvmlReturn_t DECLDIR nvmlDeviceGetFieldValues (nvmlDevice_t device, int valuesCount, nvmlFieldValue_t * values)

Request values for a list of fields for a device. This API allows multiple fields to be queried at once. If any of the underlying fieldIds are populated by the same driver call, the results for those field IDs will be populated from a single call rather than making a driver call for each fieldId.

Parameters:
    device The device handle of the GPU to request field values for
    valuesCount Number of entries in values that should be retrieved
    values Array of valuesCount structures to hold field values. Each value's fieldId must be populated prior to this call

Returns:

    •   NVML_SUCCESS if any values in values were populated. Note that you must check the nvmlReturn field of each value for each individual status

    •   NVML_ERROR_INVALID_ARGUMENT if device is invalid or values is NULL

Author

Generated automatically by Doxygen for NVML from the source code.